package com.sky.ioc.tool;

import java.math.BigDecimal;
import java.math.RoundingMode;

/**
 * 数字计算
 * */
public class MathUtils {

    /**
     * dividend 被除数
     * divisor 除数
     * decimals 保留小数
     * */
    public static double division(long dividend,long divisor,Integer decimals){
        if(dividend==0||divisor==0){
            return 0;
        }else{
            BigDecimal bigDecimal = new BigDecimal(dividend);
            BigDecimal decimal = bigDecimal.divide(new BigDecimal(divisor), decimals, RoundingMode.HALF_UP);
            return decimal.doubleValue();
        }
    }

    /**
     * dividend 被除数
     * divisor 除数
     * decimals 保留小数
     * */
    public static double division(double dividend,double divisor,Integer decimals){
        if(dividend==0||divisor==0){
            return 0;
        }else{
            BigDecimal bigDecimal = new BigDecimal(dividend);
            BigDecimal decimal = bigDecimal.divide(new BigDecimal(divisor), decimals, RoundingMode.HALF_UP);
            return decimal.doubleValue();
        }
    }
}
